
// _base.scss imports _custom.scss (variables and mixins) and other partials.
@import "base";

/*
 * @file
 * global.styles
 *
 * Styles you add here will load for all device sizes, they are "global", as
 * opposed to "responsive" styles, which only load for a given breakpoint (media
 * query) that you set in theme settings. See the README for more details.
 *
 *
 * How to use this file:
 * --------------------
 *
 * There are many empty selectors and some basic styles to act as a guide.
 * Nothing is set in stone and you can change anything - even delete all of it
 * and start with your own clean slate.
 *
 * To FORCE PRINT all selectors you can search and replace a single { (opening
 * curly brace) and insert an empty comment. This is very useful in conjuction
 * with FireSass: https://addons.mozilla.org/en-US/firefox/addon/firesass-for-firebug/
 *
 * See global.base also which includes normalize.css and some additional
 * helper classes and base styles.
 */

/* =============================================================================
 *   Base
 * ========================================================================== */

/*
 * To preserve theme settings never apply font properties to the HTML element.
 * This is critically important if you are using the Responsive JavaScript
 * feature as this relies on being able to set a pseudo font family on the HTML
 * element. If you need to set default font properties of any kind use the BODY
 * element as these can be overridden using font theme settings.
 */

html {
  background: $page;
}

body {
  font-family: $sans-serif-small; // Set from _custom.scss font variables
  font-size: 87.5%;
}


/* =============================================================================
 *   HTML Elements
 * ========================================================================== */

h1 {}


h2 {}


h3 {}


h4 {}


h5 {}


h6 {}


p {}


b,
strong {}


i,
em {}


dfn {}


sup {}


sub {}


del {}


ins {}


blockquote {}


cite {}


q {}


address {}


ul {}


ol {}


li {}


dl {}


dd {}


dt {}


abbr {}


acronym {}


pre,
code,
tt,
samp,
kbd,
var {
  font-family: $mono;
}


/* =============================================================================
 *   Wrappers
 * ========================================================================== */

/*
 * Page wrapper, includes the .container class which sets the overall page or section width
 * Main wrapper in page.tpl.php, the .container class sets the width of the page, do not add width to it!
 */
#page  {
  .container {}
}


/*
 * Wraps all header elements - branding and .region-header
 */
#header {
  position: relative;
  z-index: 100;
}


/*
 * Wraps the sidebars the content column
 */
#columns {}


/*
 * Main content column wrapper
 */
#content-column {}


/*
 * Wraps the main-content-header, the content region and feed-icons. Use this wrapper to style the entire main content column
 */
#main-content {}


/*
 * Wraps the content region, avoid applying styles to this wrapper, its used mainly for position and invisible gutters and can be problematic to style
 */
#content {}


/*
 * Footer wrapper
 */
#footer {}


/*
 * Panels may need additional margin wrangling when in the $content region
 */
#content .panel-display {}


/*
 * Full Width Wrappers
 * These are used in the optional page--full-width-wrappers.tpl.php template.
 * All have internal .container classes. In the full width wrapper template the
 * .container classes set the width or max-width of the contained element - you
 * can style this but never add any width/margin/padding/borders etc to .container
 */

/*
 * Wraps #page
 */
#page-wrapper {
  .container {}
}


/*
 * Wraps the leaderboard
 */
#leaderboard-wrapper {
  .container {}
}


/*
 * Wraps the header
 */
#header-wrapper {
  /* Debug styles, is this working */
  background: $debug;
  .container {}
}


/*
 * Wraps the nav elements
 */
#nav-wrapper {
  .container {}
}


/*
 * Wraps breadcrumb
 */
#breadcrumb-wrapper {
  .container {}
}


/*
 * Wraps messages and help
 */
#messages-help-wrapper {
  .container {}
}


/*
 * Wraps the secondary content/preface region
 */
#secondary-content-wrapper {
  .container {}
}


/*
 * Wraps the main content column
 */
#content-wrapper {
  .container {}
}


/*
 * Wraps the tertiary content/postfix region
 */
#tertiary-content-wrapper {
  .container {}
}


/*
 * Footer wrapper
 */
#footer-wrapper {
  /* Debug styles, is this working? */
  background: $debug;

  .container {}
}


/* =============================================================================
 *   Branding
 * ========================================================================== */

/*
 * Wraps all the branding elements, logo, name and slogan
 */
#branding {}


/*
 * Logo
 */
#logo {
  padding: 10px 0;

  img {
    vertical-align: bottom;
  }
}


/*
 * Wrapper for the site name and slogan (hgroup)
 */
#name-and-slogan {}


/*
 * Site name (h1)
 */
#site-name {
  margin: 0;

  a {

    &:link,
    &:visited {
      text-decoration: none;
    }

    &:hover,
    &:focus {
      text-decoration: underline;
    }
  }
}


/*
 * Site slogan (h2)
 */
#site-slogan {
  margin: 0;
}


/* =============================================================================
 *   Page content header
 * ========================================================================== */

/*
 * Main content header wraps the page title, tabs and actions links
 */
#main-content-header {}


/*
 * The main page title (h1)
 */
#page-title {
  margin: 5px 0 15px 0;
}


/* =============================================================================
 *   Misc Global Styles
 * ========================================================================== */

/*
 * Feed icons
 */
.feed-icon {}


/*
 * Aggregator feed source
 */
#aggregator .feed-source .feed-icon {
  display: inline;
  float: none;
  margin-right: 10px;
}


.feed-details dt,
.feed-details dd {
  display: inline;
  margin: 0;
}


/*
 * Generic styles for the more link
 */
.more-link {}


/*
 * Generic styles for links. See the ul.links declaration in node and comment stylesheets
 */
ul.links {
  margin: 0;
  padding: 0;

  &.inline {
    display: block;
  }

  li {
    display: inline;
    list-style: none;
    padding: 0 10px 0 0;
  }
}


/*
 * Search results are an ordered list so reset the margin
 */
.search-results {
  margin: 0;
}


/* =============================================================================
 *   Regions
 * ========================================================================== */

/*
 * Standard region wrapper, don't add width to any regions, you will bork the layout - no margin, padding or borders etc
 */
.region {}


/*
 * Regions have an inner div - perfect for adding margin, padding or borders
 */
.region-inner {}


/*
 * Regions can be nested, such as when using Panels
 */
.region-inner .region-inner {}


/*
 * Header region, embedded in the #header
 */
.region-header {}


/*
 * Generally used to output Drupals help block, if the help module is enabled
 */
.region-help {}


/*
 * Secondary content
 */
.region-secondary-content {}


/*
 * Sits above the main content header, like a content-top region
 */
.region-highlighted {}


/*
 * Sits below the main content, like a content-bottom region
 */
.region-content-aside {}


/*
 * Sidebars - targets both
 */
.sidebar {}


/*
 * First sidebar
 */
.region-sidebar-first {}


/*
 * Second sidebar
 */
.region-sidebar-second {}


/*
 * Tertiary content
 */
.region-tertiary-content {}


/*
 * Footer region
 */
.region-footer {}


/* =============================================================================
 *   Links
 * ========================================================================== */

a {
  text-decoration: none;

  &:link,
  &:visited {}

  &:active,
  &.active {}

  &:hover,
  &:focus {
    text-decoration: underline;
  }
}


/* =============================================================================
 *   Primary, Secondary and Menu Bar region menus
 * ========================================================================== */

/*
 * Use one of the following id's for granular control:
 *  - #menu-bar (menu bar region)
 *  - #primary-menu (main menu)
 *  - #secondary-menu (secondary/user menu)
 * You can target all of these with .nav or div[id$="menu-bar"]
 */

.nav {
  clear: both;
  margin: 10px 0;

  ul,
  ul.menu {
    margin: 0;
    padding: 0;
  }

  li,
  ul.menu li {
    display: inline;
    float: left;
    list-style: none;
    margin: 0;
    padding: 0;
  }

  li a,
  ul.menu li a {
    display: block;
    white-space: nowrap;
    padding: 0 10px;

    &:visited {}

    &:hover,
    &:focus {}
  }

  .block {
    margin-bottom: 0;
  }
}


/* =============================================================================
 *   Superfish
 * ========================================================================== */

ul.sf-menu {
  margin-bottom: 0;

  a {
    border-left: 0;
    border-top: 0;
    padding: 0 10px;
    text-decoration: none;
    height: 2.5em;
    line-height: 2.5em;

    &:link,
    &:visited {}
  }

  li {
    &:hover,
    &.sfHover {
      outline: 0;
    }
  }

  a {
    &:focus,
    &:hover,
    &:active {
      outline: 0;
    }
  }
}


/*
 * Superfish blocks
 */
.block-superfish {

  .block-inner .content {}

  ul {
    margin: 0 !important;
    padding: 0 !important;

    ul {
      ul {
        ul {}
      }
    }
  }

  li {
    margin: 0 !important;
    padding: 0 !important;
  }
}


/*
 * Vertical style
 */
.sf-vertical {
  width: 100%;

  li {
    width: 100%;

    &.last {}

    &:hover ul,
    &.sfHover ul {
      left: 100%;
      top: 0;
      margin: 0;
      padding: 0;
    }

    a {
      padding: 0 10px;
    }
  }
}


/*
 * Navbar style
 */
.sf-navbar {
  padding-bottom: 0 !important;
}


/*
 * Sensible padding for the default style
 */
.sf-menu.sf-style-default a {
  padding: 0 10px;
}


/* =============================================================================
 *   Menus, usually blocks
 * ========================================================================== */

ul.menu {
  padding-left: 15px;

  ul {
    padding-left: 15px;

    ul {
      ul {}
    }
  }

  li {
    margin: 0;

    &.collapsed,
    &.expanded,
    &.leaf {}

    a {

      &:link,
      &:visited {}

      &:active,
      &.active {}

      &:hover,
      &:focus {}
    }

    &.active a,
    &.active-trail a {}

    &.first,
    &.last {}
  }
}


/* If li.content exists it's a problem, so reset the padding */
.block .menu li.content {
  padding: 0;
}


/* =============================================================================
 *   Book navigation menu
 * ========================================================================== */

.book-navigation {

  .page-links {}

  .page-previous {}

  .page-next {}

  .page-up {
    /* Prevent text wrapping to a new line, assumes English "up" is used (two characters) */
    min-width: 2em;
    white-space: nowrap;
  }

  .menu {
    margin-left: 0;
  }
}


/* =============================================================================
 *   Breadcrumbs
 * ========================================================================== */

#breadcrumb {
  margin: 10px 0;

  /* If the label is set to show in theme settings the label class is added */
  .breadcrumb-label {
    font-size: 1em;
    display: inline;
    padding-right: 10px;

    &:after {
      content: ":";
    }
  }

  ol {
    margin: 0;
    padding: 0;
  }

  .with-breadcrumb-label ol {
    display: inline;
  }

  li {
    list-style: none;
    display: inline;
  }

  li.crumb-first {}

  li.crumb-last {}

  a {

    &:link,
    &:visited {}

    &:active,
    &.active {}

    &:hover,
    &:focus {}
  }
}


/* =============================================================================
 *   Pagers
 * ========================================================================== */

ul.pager {
  clear: both;
  margin: 0;
  text-align: center;
}


.item-list ul.pager li {
  margin: 0;
}


ul.pager li {
  background-image: none;
  display: inline;
  list-style-type: none;
  padding: .5em;

  &.pager-current {
    font-weight: 700;
  }
}


.block ul.pager li {
  margin: 0;
}


/*
 * Theme the various states of pager links
 */
ul.pager li {

  a {

    &:link,
    &:visited {}

    &:active,
    &.active {}

    &:hover,
    &:focus {}
  }

  &.pager-item {}
  &.first {}
  &.last {}
  &.pager-current {}
  &.pager-first {}
  &.pager-previous {}
  &.pager-next {}
  &.pager-last {}
}


/* =============================================================================
 *   Skip Navigation
 * ========================================================================== */

#skip-link {
  left: 50%;
  margin-left: -6.5em;
  margin-top: 0;
  padding: 0 0.5em;
  position: absolute;
  width: 12em;
  z-index: 50;

  a {
    background: #444;
    background: rgba(0, 0, 0, 0.6);
    color: $page;
    display: block;
    line-height: 2;
    padding: 0;
    text-align: center;
    text-decoration: none;

    &:link,
    &:visited {
      background: #444;
      background: rgba(0, 0, 0, 0.6);
      color: $page;
      display: block;
      line-height: 2;
      padding: 0;
      text-align: center;
      text-decoration: none;
    }
    &:hover,
    &:focus,
    &:active {
      outline: 0;
    }
  }
}


/* =============================================================================
 *   Tabs (local tasks)
 * ========================================================================== */

#tasks {
  margin-bottom: 15px;
  margin-left: 25px;
}


ul.primary {
  border-bottom-color: $border;
  margin: 20px 0;
  padding: 0 0 0 5px;

  li {
    display: block;
    float: left;
    margin: 0 1px -1px;

    a {
      background-color: $ultralight;
      border-color: $border;
      margin-right: 1px;
      padding: 0 10px;
      display: block;
      float: left;
      height: 1.5em;
      line-height: 1.5em;

      &:hover,
      &:focus {
        background-color: $light;
        border-color: $border;
      }
    }
  }

  li.active {
    a,
    a:hover,
    a:focus {
      background-color: $page;
      border-bottom-color: $page;
    }
  }
}


ul.secondary {
  border-bottom: 1px solid $border;
  margin: 1em 0 0;
  padding: 0 .3em 1em;

  li {
    border-right: 0;
    list-style: none;
    padding: 0 10px 0 0;

    a {
      &:hover,
      &.active {
        border-bottom: none;
        text-decoration: underline;
      }
    }
  }
}


/* =============================================================================
 *   Action links
 * ========================================================================== */

ul.action-links {
  margin: 20px 0 0;
  list-style: none;

  li {}
}


/* =============================================================================
 *  Field Styling
 * ========================================================================== */

/*
 * Wrapper for any field
 */
.field {}


/*
 * Above and inline classes are on the field wrapper
 */
.field-label-above {}


/*
 * When labels are set to inline in field display settings the clearfix class is automatically added
 */
.field-label-inline {}


/*
 * Labels are h2 in Adaptivetheme. Use a strong selector to mitigate unwanted ineritance issues
 */
.field-label {
  font-size: 1em;
  font-weight: 700;
  font-family: inherit;
  line-height: inherit;
  margin-bottom: 0;
}


/*
 * Field types (Core)
 */

/*
 * Image fields use the <figure> and <figcaption> elements from HTML5
 */
.field-type-image {

  .caption {}

  .full-caption {}

  .teaser-caption {}
}


/*
 * Taxonomy
 */
.field-type-taxonomy-term-reference {

  /* The same bottom margin as p, blockquote, ul, ol and dl */
  margin-bottom: 1.5em;

  &.field-label-inline .field-items {
    margin: 0;
    padding: 0;
  }

  &.field-label-inline .field-item {
    display: inline;
    list-style: none;
    padding: 0 10px 0 0;
  }
}


/*
 * Text
 */
.field-type-text {}


/*
 * Long text
 */
.field-type-text-long {}


/*
 * Text with summary
 */
.field-type-text-with-summary {}


/*
 * File
 */
.field-type-file {}


/*
 * Number/Integer
 */
.field-type-number-integer {}


/*
 * Decimal
 */
.field-type-number-decimal {}


/*
 * Number float
 */
.field-type-number-float {}


/*
 * List
 */
.field-type-list-text {}


/*
 * List boolean
 */
.field-type-list-boolean {}


/*
 * List integer
 */
.field-type-list-integer {}


/*
 * List float
 */
.field-type-list-float {}


/*
 * Field types (Contrib)
 */
.field-type-datetime {}

.field-type-node-reference {}

.field-type-user-reference {}


/*
 * Named fields
 */
.field-name-body {}

.field-name-field-image {}

.field-name-field-tags {}


/*
 * Underscores in field name are replaced with dashes
 */
.field-name-field-FIELDNAME {}


/*
 * Image Alignment Theme Settings - included here so you can easily override
 */

/*
 * Float none setting
 */
.ia-n .field-type-image,
.iat-n .field-type-image {}


/*
 * Float left setting
 */
.ia-l .field-type-image figure,
.iat-l .field-type-image figure {
  margin: 5px 20px 15px 0;
}


/*
 * Centered setting
 */
.ia-c .field-type-image figure,
.iat-c .field-type-image figure {
  margin: 5px auto 15px;
}


/*
 * Float right setting
 */
.ia-r .field-type-image figure,
.iat-r .field-type-image figure {
  margin: 5px 0 15px 20px;
}



/* =============================================================================
 *   Block Styling
 * ========================================================================== */

/*
 * Main wrapper for most blocks, block_system_main does not have it
 */
.block {
  margin-bottom: 20px;
}


/*
 * Inner wrapper for most blocks, good for margin, padding and borders, block_system_main does not have it
 */
.block-inner {}


/*
 * The first block in the region
 */
.block.first {}


/*
 * The last block in the region
 */
.block.last {}


/*
 * Zebra striping for each block in the region
 */
.block.odd {}


/*
 * Zebra striping for each block in the region
 */
.block.even {}


/*
 * Block title
 */
.block-title {
  margin: 0;
}


/*
 * Block content wrapper
 */
.block-content {}


/*
 * Match item list and block menu margin and padding
 */
.block-content {

  ul,
  ol {
    padding: 0 0 0 15px;
  }

  li {
    margin: 0;
    padding: 0;
  }
}


/*
 * Block for the latest news items in the first category
 */
#block-aggregator-category-1 {}


/*
 * Block for the latest news items in the first feed
 */
#block-aggregator-feed-1 {}


/*
 * First block created with "Add block" link
 */
#block-block-1 {}


/*
 * "Recent blog posts" block
 */
#block-blog-recent {}


/*
 * "Book navigation" block for the current book's table of contents
 */
#block-book-navigation {}


/*
 * "Recent comments" block
 */
#block-comment-recent {}


/*
 * "Active forum topics" block
 */
#block-forum-active {}


/*
 * "New forum topics" block
 */
#block-forum-new {}


/*
 * Language switcher block
 */
#block-locale-language {}


/*
 * Custom menu block
 */
#block-menu-menu-NAME {}


/*
 * "Recent content" block
 */
#block-node-recent {}


/*
 * "Syndicate" block for primary RSS feed; see also page.css's .feed-icon
 */
#block-node-syndicate {}


/*
 * "Most recent poll" block
 */
#block-poll-recent {}


/*
 * "Author information" block for the profile of the page's author
 */
#block-profile-author-information {}


/*
 * "Search form" block
 */
#block-search-form {}


/*
 * "Shortcuts" block
 */
#block-shortcut-shortcuts {}


/*
 * "Popular content" block
 */
#block-statistics-popular {}


/*
 * "Main menu" block
 */
#block-system-main-menu {}


/*
 * "Management" block for Drupal management menu
 */
#block-system-management {}


/*
 * "Navigation" block for Drupal navigation menu
 */
#block-system-navigation {}


/*
 * "User menu" block for Drupal user menu
 */
#block-system-user-menu {}


/*
 * "System help" block
 */
#block-system-help {}


/*
 * "Main page content" block
 */
#block-system-main {}


/*
 * "Powered by Drupal" block
 */
#block-system-powered-by {}


/*
 * "User login form" block
 */
#block-user-login {}


/*
 * "Who's new" block for a list of the newest users
 */
#block-user-new {}


/*
 * "Who's online" block for a list of the online users
 */
#block-user-online {}


/* =============================================================================
 *   Node Styling
 * ========================================================================== */

.node {
  margin-bottom: 20px;

  &.node-promoted {}

  &.node-sticky {}

  &.node-by-viewer {}

  &.node-teaser {}

  &.node-full {}

  &.odd {}

  &.even {}

  .node-title {
    margin: 0;
  }

  .user-picture {}

  .submitted {

    .username {}

    time {}
  }

  .node-content {}

  ul.links {

    li {}
    li a {}

    li.node-read-more a {}
    li.comment-add a {}
    li.comment-comments a {}
    li.comment-new-comments a {}
    li.blog-sernames-blog a {}
    li.print-html a {}
    li.print-email a {}
    li.print-pdf a {}
  }
}


.preview .node {}


/*
 * All nodes are given a node-FOO class that describes the type of content that
 * it is. If you create a new content type called "my-custom-type", it will
 * receive a "node-my-custom-type" class.
 */
.node-page {}

.node-article {}

.node-book {}

.node-forum {}

.node-poll {}


/* =============================================================================
 *   Comment Styling - Comments, comment wrapper, comment form
 * ========================================================================== */

/*
 * Wrapper for the list of comments and its titles
 */
#comments {
  margin: 1.5em 0;

  h2 {
    &.comment-title {
      margin: 0;
    }

    &.comment-form {
      margin: 0;
    }
  }
}


/*
 * Wrapper for a single comment
 */
.comment {
  margin-bottom: 20px;

  &.first {}

  &.last {}

  &.odd {}

  &.even {}

  .user-picture {}

  .submitted {

    p {}

    .username {}

    time {}
  }

  .user-signature {}

  ul.links {}
}


/*
 * Comment title
 */
.comment-title {
  margin: 0;
}


/*
 * Comment states
 */
.comment-new {}

.comment-by-anonymous {}

.comment-by-node-author {}

.comment-by-viewer {}

.comment-title-hidden {}

.comment-with-picture {}

.comment-with-signature {}


/*
 * Preview of the comment before submitting new or updated comment
 */
.comment-preview {}


/*
 * "New" marker for comments that are new for the current user
 */
.new {
  color: $highlight;
}


/*
 * Nested comments are indented
 */
.indented {
  margin-left: 40px;
}


/* =============================================================================
 *   Forms
 * ========================================================================== */

/*
 * Wrapper for a form element (or group of form elements) and its label
 */
.form-item {

  input.error,
  textarea.error,
  select.error {
    border: 1px solid $highlight;
  }

  label {
    font-weight: 700;
  }

  label.option {
  }

  .description {
    font-size: 0.85em;
  }

  &.form-checkboxes ,
  &.form-radios {
  }
}


/*
 * Highlight marks and form required mark
 */
.marker,
.form-required {
  color: $highlight;
}


/*
 * The submit button
 */
.form-submit {
}


.container-inline {
  div,
  label {
    display: inline;
  }
}

/*
 * Define consistent borders
 */
fieldset {
  border: 1px solid $border;
}

/*
 * Tips for Drupal's input formats
 */
.tips {
}


/*
 * Buttons used by contrib modules like Media
 */
a.button {
  @include appearance(button);
}


/*
 * Password confirmation
 */
.password-parent,
.confirm-parent {
  margin: 0;
}


/* =============================================================================
 *   Tables
 * ========================================================================== */

table {
  margin: 10px 0;
  padding: 0;
  width: 100%;

  &.sticky-header {
    z-index: 10;
  }
}


table,
thead,
tbody,
tr,
th,
td {
  border-color: $border;
}


table,
td,
th {
  vertical-align: middle;
}


caption,
th,
td {
  text-align: left;
}


thead tr {
  font-weight: 700;
  background-color: $medium_dark;
}


td,
th {
  border-bottom: 0;
  margin: 0;
  padding: 5px 7px;
}


tbody {}


tbody tr {
  border-top: 1px solid $border;
}


tr {

  &.odd {
    background: $page;
  }

  /* Table row striping */
  &.info,
  &.even,
  &:nth-child(2n+2)  {
    border-bottom: 0;
    background-color: $ultralight;
  }

  &.drag {}

  &.drag-previous {}

  &.odd td.active {
    background-color: $light;
  }

  &.even td.active {
    background-color: $medium_light;
  }
}


.lt-ie8 tr {

  &.even,
  &.odd {

    th,
    td {
    }
  }
}


/*
 * Forum tables
 * Core sets white-space to nowrap, which makes no sense
 */
#forum td {
  .created,
  .posts,
  .topics,
  .last-reply,
  .replies,
  .pager {
     white-space: normal;
  }
}


/* =============================================================================
 *   Messages
 * ========================================================================== */

div {
  &.messages {
  // Left and right margin are set by the global gutter width
  margin-bottom: 10px;
  margin-top: 10px;

    ul {
      margin-top: 0;
      margin-bottom: 0;
    }
  }

  &.status {
  }

  &.warning {
  }
}

tr.warning {
}


div.error,
tr.error {
}


.error {
}


.warning {
}


/*
 * Unpublished nodes
 */
.node-unpublished,
.comment-unpublished {
}


.node-unpublished,
.comment-unpublished {

  p.unpublished {
    @include unpublished;
  }
}


/* =============================================================================
 *    Maintenance pages
 * ========================================================================== */

.maintenance-page {
  .container {
    padding: 40px 0;
  }

  #site-name,
  #page-title {
    margin: 0;
  }
}


.db-offline {
  .container {
    margin: 0 auto;
    padding: 40px 0;
    width: 100%;
    max-width: 960px;
  }

  div.messages {
    margin: 20px 0 0;
  }

  #content {
    padding: 20px 0;
  }
}


/* =============================================================================
 *   Misc overrides for contrib modules
 * ========================================================================== */

/*
 * Admin menu overrides
 */
#admin-menu {
  margin: 0;
  padding: 0;
}


/*
 * Devel Module
 */
.dev-query {
  background: $light;
  padding: 30px;
}


/*
 * Styleguide module tweaks
 */
#styleguide-header {
  padding: 0 10px;

  .item-list {
    font-family: inherit;
    margin: 0 20px 20px 0;
    min-height: 260px;
    width: auto;
  }
}

/**
 * Costom design.
 */

input {
  width: auto !important;
}

#tasks {
  .tabs,
  .nav-tabs {
    li {
      a {
        color: $date_keyword_color;
      }
    }
  }
}

#flexslider-1 {
  margin: 0;
  border: 0;
  box-shadow: none ;
}

.front {
  background-image: url('/sites/default/files/slider/slide1.png');
  background-size: cover;
  width: 100%;
  height: 100%;
  position: fixed;

  #header {
    display: none;
  }

  #page {
    width: 100% !important;
    max-width: 100% !important;
    #main-content {
      margin: 0;
    }
  }
  #page-title {
    display: none;
  }

  #flexslider-1 {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;

    img {
      width: 100%;
      height: 100%;
      position: fixed;
    }
  }

  .logo-wrapper {
    z-index: 100;
    width: 400px;
    // background-color: rgba(0, 0, 0, 0.5);
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    position: fixed;
    padding: 5px;

    .logo {
      display: block;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      width: 100%;
      height: 100%;
      padding-bottom: 100%;
    }

    .logo.en {
      background-image: url("images/logo_en.png");
    }

    .logo.fr {
      background-image: url("images/logo_fr.png");
    }
  }
}

.node-type-poeme {
  #page-title {
    padding-left: 25px;
    font-size: 48px;
  }

  #page {
    max-width: 900px;
    margin: 0 auto;
  }

  article.node-poeme {
    .field-name-body {
      margin: 25px 0 0 0;
      padding-left: 25px;
      border-left: 1px solid #D8DAD9;
      a {
        color: #000;
        background-image: url("images/blue-underline.png");
        background-repeat: repeat-x;
        background-position: 0 80%;
        background-size: 100% 6px;
      }
      a:hover {
        text-decoration: none;
      }

      p {
        margin: 0;
        font-size: 18px;
      }
    }

    .field-name-field-poeme-category {
      margin: 0 10px 0 25px;
      display: inline-block;
      background-color: $category_keyword_color;
      height: 15px;
      padding: 0px 5px;
      .field-items {
        .field-item {
          color: white;
          font-weight: bold;
          font-size: 10px;
          text-transform: uppercase;
          a {
            color: white;
          }
          a:hover {
            text-decoration: none;
          }
        }
      }

      ul {
        padding: 0;
        margin: 0;
        list-style: none;
      }
    }

    .field-name-field-poeme-date {
      display: inline-block;
      background-color: $date_keyword_color;
      padding: 0px 5px;

      .field-items {
        .field-item {
          color: white;
          font-weight: bold;
          font-size: 10px;
          text-transform: uppercase;
          a {
            color: white;
          }
          a:hover {
            text-decoration: none;
          }
        }
      }

      ul {
        padding: 0;
        margin: 0;
        list-style: none;
      }
    }

    .field-name-field-poeme-share {
      margin: 20px 0 0 0;
      width: 115px;
      float: right;
      .field-item {
        span {
          background-color: $category_keyword_color !important;
        }
      }
    }
  }
}

.mobile-menu {
  display: none;
}

#block-digitalmanuscript-blocks-header {
  width: 100%;
  background-color: #000;
  height: 50px;
  .desktop-menu {

  }

  .mobile-menu {
    top: 10px;
    position: absolute;
    right: 50px;
    width: 170px;

    .menu-toggle {
      text-align: center;
      cursor: pointer;

      .icon {
        background-image: url(images/menu.png);
        background-size: 100% 100%;
        display: inline-block;
        width: 26px;
        height: 32px;
      }
    }

    .mobile-menu-inner {
      padding: 20px;
      z-index: 1000;
      background-color: black;
      display: none;
      text-align: center;
      a {
        display: block;
        color: white;
        font-weight: bold;
        margin: 5px 0;
      }
    }

    .glyphicon {
      color: white;
      cursor: pointer;
      font-size: 25px;
    }
  }

  .logo {
    margin: 10px 0 !important;
    width: 300px;
    height: 30px;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    display: inline-block;
    float: left;
  }

  .logo.en {
    background-image: url('images/logo_page_fr.png');
  }

  .logo.fr {
    background-image: url('images/logo_page_fr.png');
  }

  .header-item {
    margin: 0;
    text-align: right;
    padding: 15px 5px;
    a {
      margin: 0 10px;
      color: #EFF1F0;
      text-transform: uppercase;
      font-weight: bold !important;
      font-size: 11px;
    }
  }

  .newsletter {
    padding: 15px 5px;
    margin-left: 5%;
  }

  .main-menu {
    padding: 15px 5px;
    width: 33%;
    text-align: center;
  }

  .user-menu {
    padding: 15px 5px;
    background-color: #201A14;
  }

  .menu {
    display: inline-block;
    float: right;
    padding: 15px 10px;
    background-color: #201A14;
    color: #FFF;
    span {
      color: #FFF;
    }
  }

  .language-switcher {
    float: right;
    padding: 5px;
    margin: 10px 0;
    ul {
      list-style: none;
      li {
        margin: 0 5px;
        float: left;
        a {
          display: inline-block;
          width: 22px;
          height: 22px;
          overflow: hidden;
          img {
            width: 100%;
          }
        }
      }
    }
  }
}

#block-digitalmanuscript-blocks-poeme-categories {
  background-color: #EFF1F0;
  margin: 0;

  .block-inner {
    margin: 0;
  }

  .toggle {
    padding: 7px 0;
    .toggle-inner {
      text-align: center;
      .text {
        vertical-align: top;
        display: inline-block;
        cursor: pointer;
        color: #000;
        background-image: url("images/orange-underline.png");
        background-repeat: repeat-x;
        background-position: 0 95%;
        background-size: 100% 6px;
        margin: 5px 0 0 5px;
        text-transform: uppercase;
        font-size: 13px;
      }

      .text:not(.active){
        display: none;
      }

      .image {
        cursor: pointer;
        background-image: url('images/arrows.png');
        background-repeat: no-repeat;
        width: 31px;
        height: 31px;
        display: inline-block;
        background-position: -1px -33px;
        vertical-align: bottom;
      }

      .image.toggled {
        background-position: -2px 0;
      }
    }
  }

  .view-keywords {
    margin: 30px 0;
    border-top-color: #E8DFD4;
    border-top-style: double;
    .group-wrapper {
      width: 16%;
      margin: 20px 0;
      // float: left;
      display: inline-block;
      vertical-align: top;
      .group-inner {
        min-width: 170px;
        max-width: 250px;
        margin: 0 auto;
        padding: 7px;
        a {
          color: #898A89;
          font-size: 13px;
        }

        h3 {
          line-height: 14px;
          margin-top: 0;
          margin-bottom: 2px;
          a {
            line-height: 14px;
            font-size: 14px;
            text-transform: uppercase;
            vertical-align: top;
          }
        }

        .views-row {

        }
      }
    }
  }

  .categories-content {
    display: none;
  }

  .view-display-id-block_poeme_by_category {
    margin: 0 0 30px 0 !important;
    clear: both;

    .group-wrapper.active {
      .group-inner {
        background-color: $category_keyword_color;
        a {
          // color: #FFF;
        }

       h3 {
          a {
            color: white;
          }
        }

        .views-row {
         .active {
           a {
              color: black;
              font-weight: bold;
            }
         }
        }
      }

    }
  }

  .view-display-id-block_poeme_by_date {
    clear: both;

    .group-wrapper.active {
      .group-inner {
        background-color: $date_keyword_color;
        a {
          color: #FFF;
        }

        .views-row {
          .active {
            a {
              font-weight: bold;
            }
          }
        }
      }
    }
  }
}

#block-digitalmanuscript-blocks-footer {
  margin: 0;
  .block-inner {
    margin: 0;
  }
}
.footer-image-wrapper {
  background-color: #DFE1E0;
  padding: 15px 0;
  text-align: center;

  .footer-link {
    display: inline-block;
    vertical-align: top;
    color: black;
    margin: 5px 0 0 5px;
  }
  .image {
    display: block;
    width: 100px;
    height: 35px;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-image: url("images/footer-image.png");
    margin: 0 auto;
  }
}

.page-user {
  .block-title {
    margin-bottom: 20px;
  }

  #block-masquerade-masquerade {
    input {
      display: inline-block;
    }
  }
}

.page-taxonomy-term {
  #page {
    max-width: 900px;
    margin: 0 auto;
  }

  #page-title {
    // text-align: center;
  }

  .view-taxonomy-term {
    .views-row {
      margin: 10px 0;
      // text-align: center;
      a {
        color: #000;
        background-image: url("images/blue-underline.png");
        background-repeat: repeat-x;
        background-position: 0 80%;
        background-size: 100% 6px;
      }
    }
  }
}

.btn {
  margin-right: 5px;
  margin-top: 5px;
}

.page-admin-people,
.page-admin-structure-taxonomy,
.page-admin-content {
  fieldset#edit-options {
    margin-top: 15px;
  }

  #tasks {
    margin-left: 0;
    ul.action-links {
      padding-left: 0;
      li {
        a {
          margin: 5px;
          display: inline-block;
          padding: 6px 12px;
          margin-bottom: 0;
          font-size: 14px;
          font-weight: normal;
          line-height: 1.42857143;
          text-align: center;
          white-space: nowrap;
          vertical-align: middle;
          cursor: pointer;
          -webkit-user-select: none;
          -moz-user-select: none;
          -ms-user-select: none;
          user-select: none;
          background-image: none;
          border: 1px solid rgba(0, 0, 0, 0);
          border-radius: 4px;

          color: #FFF;
          background-color: #F0AD4E;
          border-color: #EEA236;
        }

        a:hover {
          text-decoration: none;
        }

      }
    }
  }
  .exposed-filters {
    label {
      float: none;
    }
  }
}

.page-newsletter {
  #block-simplenews-9 > p {
    display: none;
  }
}
